summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEdward Hervey <bilboed@bilboed.com>2016-04-07 14:14:30 +0200
committerEdward Hervey <bilboed@bilboed.com>2016-04-07 14:14:30 +0200
commit399e4db0cbd2e4534ee50d5e941bad27d9c66514 (patch)
tree753845713dd812bf04ef76270f735cdbd679db87
parent5b0729084b445c2d276848a8f08f60d8359daeea (diff)
ci-build : Improve build sequence
-rwxr-xr-xci-build.sh61
1 files changed, 37 insertions, 24 deletions
diff --git a/ci-build.sh b/ci-build.sh
index 25176df..f5fccbb 100755
--- a/ci-build.sh
+++ b/ci-build.sh
@@ -48,20 +48,24 @@ esac
# modules to be built (if present)
CORE="orc gstreamer gst-plugins-base "
-MODULES="gst-plugins-good gst-plugins-ugly gst-plugins-bad gst-libav gst-rtsp-server gst-editing-services"
+case "$FLAVOR" in
+ validate)
+ MODULES="gst-plugins-good gst-plugins-ugly gst-plugins-bad gst-libav gst-rtsp-server";;
+ *)
+ MODULES="gst-plugins-good gst-plugins-ugly gst-plugins-bad gst-libav gst-rtsp-server gst-editing-services";;
+esac
EXTRA_MODULES="gst-python"
# modules for which we run make check/distcheck
-if test "x$FLAVOR" == "xfull"; then
- # FIXME : distcheck fails for gst-libav
- CHECK_MODULES="orc gstreamer gst-plugins-base gst-plugins-good gst-plugins-ugly gst-plugins-bad gst-rtsp-server gst-editing-services"
-else
- if test "x$FLAVOR" == "xvalidate"; then
- CHECK_MODULES=""
- else
- CHECK_MODULES="orc gstreamer gst-plugins-base gst-plugins-good gst-plugins-ugly gst-plugins-bad gst-libav gst-rtsp-server gst-editing-services"
- fi
-fi
+case "$FLAVOR" in
+ full)
+ # FIXME : distcheck fails for gst-libav
+ CHECK_MODULES="orc gstreamer gst-plugins-base gst-plugins-good gst-plugins-ugly gst-plugins-bad gst-rtsp-server gst-editing-services";;
+ validate)
+ CHECK_MODULES="";;
+ *)
+ CHECK_MODULES="orc gstreamer gst-plugins-base gst-plugins-good gst-plugins-ugly gst-plugins-bad gst-libav gst-rtsp-server gst-editing-services";;
+esac
# FIXME : Gradually add more modules
VALGRIND_MODULES=""
@@ -173,8 +177,10 @@ build()
# Fast variant => no docs
# Full variant => introspection and docs
case "$FLAVOR" in
- fast|validate)
+ fast)
AGARGS="--disable-gtk-doc --disable-docbook --enable-introspection";;
+ validate)
+ AGARGS="--disable-gtk-doc --disable-docbook --enable-introspection --disable-examples --disable-tests --disable-check";;
nodebug)
AGARGS="--disable-gst-debug --disable-gtk-doc --disable-docbook --enable-introspection";;
full)
@@ -207,18 +213,23 @@ build()
exit $ERROR_RETURN
fi
- if test $1 != "orc" -a $1 != "gst-devtools/validate"
- then
- echo "+ $1 : make build-checks"
- logname=$LOGDIR/$1-build-checks.log
- make build-checks V=1 > $logname 2>&1
- if test $? -ne 0
- then
- echo "MAKE BUILD-CHECKS FAILURE"
- cat $logname
- exit $ERROR_RETURN
- fi
- fi
+ case "$FLAVOR" in
+ validate)
+ echo "+ $1 : Skipping build-checks";;
+ *)
+ if test $1 != "orc" -a $1 != "gst-devtools/validate"
+ then
+ echo "+ $1 : make build-checks"
+ logname=$LOGDIR/$1-build-checks.log
+ make build-checks V=1 > $logname 2>&1
+ if test $? -ne 0
+ then
+ echo "MAKE BUILD-CHECKS FAILURE"
+ cat $logname
+ exit $ERROR_RETURN
+ fi
+ fi
+ esac
# if test "x$FLAVOR" == "xfull"; then
# echo "+ $1 : make install"
@@ -316,6 +327,8 @@ beach()
mkdir -p $LOGDIR/gst-devtools
build "gst-devtools/validate"
cd $WORKSPACE
+ build "gst-editing-services"
+ cd $WORKSPACE
mkdir -p "validate-output"
gst-validate-launcher validate ges -j3 -fs -m -n --fail-on-testlist-change -M $WORKSPACE/validate-output --xunit-file $WORKSPACE/xunit.xml
fi